spring.application.name=lun
server.port=443
spring.datasource.username=c
spring.datasource.password=c
spring.datasource.driver-class-name=org.mariadb.jdbc.Driver
#<<<<<<< HEAD
#spring.data.mongodb.host=nas.lunaticbum.kr
#spring.data.mongodb.host=localhost
#spring.data.mongodb.port=27017
#spring.data.mongodb.database=lun_db
#SSL
#server.ssl.key-store=classpath:prv.p12
#server.ssl.key-store-type=PKCS12
#server.ssl.key-store-password=VioPup*383
#server.http2.enabled=true
#spring.main.web-application-type=SERVLET
#logging.level.org.springframework.boot.autoconfigure=ERROR
#spring.mvc.view.prefix=/templates
#spring.mvc.view.suffix=.html
#server.servlet.register-default-servlet=true
#=======
spring.datasource.url=b
spring.data.mongodb.uri=a
spring.data.mongodb.authentication-database=admin
spring.data.mongodb.database=l
spring.thymeleaf.prefix=classpath:/templates/
spring.thymeleaf.suffix=.html
spring.thymeleaf.enabled=true

spring.servlet.multipart.max-file-size=1024MB
spring.servlet.multipart.max-request-size=1024MB
spring.servlet.multipart.enabled=true

# ?? ???? ??? ?? ? ?? ????.
spring.devtools.livereload.enabled=true
# thymeleaf? ?? ??? ??? ???. cache=false ??(???? true)
spring.thymeleaf.cache=false
# templates ????? ??? ??? ??? ??, ??? ??? ?????.
spring.thymeleaf.check-template-location=true
telegram.bot.key=1
telegram.my.id=2
telegram.target.id=3
weather.api.key=3
api.gg.place=5
spring.data.mongodb.option.min-connection-per-host=0
spring.data.mongodb.option.max-connection-per-host=100
spring.data.mongodb.option.threads-allowed-to-block-for-connection-multiplier=5
spring.data.mongodb.option.server-selection-timeout=30000
spring.data.mongodb.option.max-wait-time=120000
spring.data.mongodb.option.max-connection-idle-time=0
spring.data.mongodb.option.max-connection-life-time=0
spring.data.mongodb.option.connect-timeout=10000
spring.data.mongodb.option.socket-timeout=0

spring.data.mongodb.option.socket-keep-alive=false
spring.data.mongodb.option.ssl-enabled=false
spring.data.mongodb.option.ssl-invalid-host-name-allowed=false
spring.data.mongodb.option.always-use-m-beans=false

spring.data.mongodb.option.heartbeat-socket-timeout=20000
spring.data.mongodb.option.heartbeat-connect-timeout=20000
spring.data.mongodb.option.min-heartbeat-frequency=500
spring.data.mongodb.option.heartbeat-frequency=10000
spring.data.mongodb.option.local-threshold=15

spring.ai.ollama.base-url=https://lama.lunaticbum.kr
spring.ai.ollama.chat.options.model=phi4:14b

##spring.data.redis.url=ollama.lunaticbum.kr
#spring.data.redis.host=lunaticbum.kr
#spring.data.redis.port=6379
#
##spring.ai.vectorstore.redis.uri="redis://lunaticbum.kr:6379"
#
#
#spring.ai.vectorstore.redis.initialize-schema=true
#spring.ai.vectorstore.redis.index=spring-ai-redis-index
#spring.ai.vectorstore.redis.prefix=spring-ai-redis-embedding
#https://ollama.lunaticbum.kr/collections/blama_vectors
spring.ai.vectorstore.qdrant.host=ollama.lunaticbum.kr
spring.ai.vectorstore.qdrant.port=443
#spring.ai.vectorstore.qdrant.initialize-schema=true
spring.ai.vectorstore.qdrant.api-key=blama-admin-key-gb
spring.ai.vectorstore.qdrant.collection-name=blama_vectors
spring.ai.ollama.embedding.model=nomic-embed-text

spring.ai.ollama.embedding.enabled=true


#>>>>>>> ab915d0a416c69708f1df1ad76d7a14c779c1f59

